using GarmentFactoryContracts.BindingModels;
using GarmentFactoryContracts.ViewModels;
namespace GarmentFactoryContracts.BusinessLogicsContracts
{
    public interface IReportLogic
    {
        //Получение списка компонент с указанием, в каких изделиях используются
        List<ReportTextileComponentViewModel> GetTextileComponents();
        // Получение списка заказов за определенный период
        List<ReportOrdersViewModel> GetOrders(ReportBindingModel model);
        // Сохранение компонент в файл-Word
        void SaveTextilesToWordFile(ReportBindingModel model);
        // Сохранение компонент с указаеним продуктов в файл-Excel
        void SaveTextileComponentToExcelFile(ReportBindingModel model);
        // Сохранение заказов в файл-Pdf
        void SaveOrdersToPdfFile(ReportBindingModel model);
    }
}
